package com.infinitenotions.sample.calc;

import com.infinitenotions.sample.calc.R;

import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

public class CalcButtonHandler implements OnClickListener
{
	private TextView mDisplayTv;
	private CalcFunctions mCalcFunctions;
	private boolean mEqualClicked;
	
	public CalcButtonHandler(TextView displayTv)
	{
		mDisplayTv = displayTv;
		mCalcFunctions = new CalcFunctions();
	}
	
	@Override
	public void onClick(View v)
	{
		switch(v.getId())
		{
			case R.id.number0Btn:
			case R.id.number1Btn:
			case R.id.number2Btn:
			case R.id.number3Btn:
			case R.id.number4Btn:
			case R.id.number5Btn:
			case R.id.number6Btn:
			case R.id.number7Btn:
			case R.id.number8Btn:
			case R.id.number9Btn:
			case R.id.dotBtn:
				String digit = (String)((Button)v).getText();
				
				if (mEqualClicked)
				{
					mDisplayTv.setText("0");
					mCalcFunctions.reset();
					mEqualClicked = false;
				}
				
				if (mDisplayTv.getText().equals("0"))
				{
					mDisplayTv.setText(digit);
				}
				else
				{
					mDisplayTv.setText(mDisplayTv.getText() + digit);
				}
				mCalcFunctions.appendDigit(digit);
				break;
			case R.id.divBtn:
				mDisplayTv.setText(mDisplayTv.getText() + (String)((Button)v).getText());
				mCalcFunctions.setOperator(Operator.div);
				mEqualClicked = false;
				break;
			case R.id.subBtn:
				mDisplayTv.setText(mDisplayTv.getText() + (String)((Button)v).getText());
				mCalcFunctions.setOperator(Operator.minus);
				mEqualClicked = false;
				break;
			case R.id.plusBtn:
				mDisplayTv.setText(mDisplayTv.getText() + (String)((Button)v).getText());
				mCalcFunctions.setOperator(Operator.plus);
				mEqualClicked = false;
				break;
			case R.id.prodBtn:
				mDisplayTv.setText(mDisplayTv.getText() + (String)((Button)v).getText());
				mCalcFunctions.setOperator(Operator.mul);
				mEqualClicked = false;
				break;
			case R.id.equalsBtn:
				float result = mCalcFunctions.calc();
				mDisplayTv.setText(Float.toString(result));
				mEqualClicked = true;
				break;
			case R.id.CBtn:
				mCalcFunctions.reset();
				mDisplayTv.setText("0");
				mEqualClicked = false;
				break;
		}
	}

}
