package com.infinitenotions.sample.calc;

public class CalcFunctions
{
	private StringBuffer mCurrentVal;
	private float mCurrentValF;
	private Operator mOperator;
	
	public CalcFunctions()
	{
		mCurrentVal = new StringBuffer("0");
		mOperator = Operator.none;
	}
	
	public void appendDigit(String digit)
	{
		mCurrentVal.append(digit);
	}
	
	public void setOperator(Operator operator)
	{
		mOperator = operator;
		mCurrentValF = Float.parseFloat(mCurrentVal.toString());
		mCurrentVal = new StringBuffer("0");
	}
	
	public void reset()
	{
		mCurrentVal = new StringBuffer("0");
		mOperator = Operator.none;
		mCurrentValF = 0;
	}
	
	public float calc()
	{
		float val = 0;
		
		switch(mOperator)
		{
			case plus:
				val = mCurrentValF + Float.parseFloat(mCurrentVal.toString());
				break;
			case minus:
				val = mCurrentValF - Float.parseFloat(mCurrentVal.toString());
				break;
			case div:
				val = mCurrentValF / Float.parseFloat(mCurrentVal.toString());
				break;
			case mul:
				val = mCurrentValF * Float.parseFloat(mCurrentVal.toString());
				break;
		}
		
		mCurrentVal = new StringBuffer(Float.toString(val));
		
		return val;
	}
}

enum Operator
{
	none,
	plus,
	minus,
	div,
	mul
}