/*********************************************************************
*
*	Sample challange: 
* 		Implement the squere and squere root functions.
*
**********************************************************************/

package com.infinitenotions.sample.calc;

import com.infinitenotions.sample.calc.R;

import android.app.*;
import android.os.*;
import android.view.View;
import android.view.ViewGroup;
import android.widget.*;

public class CalcSampleActivity extends Activity
{
	private CalcButtonHandler mCalcButtonHandler;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState)
	{
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        mCalcButtonHandler = new CalcButtonHandler((TextView)findViewById(R.id.displayTV));
        
        ViewGroup rootView = (ViewGroup)findViewById(android.R.id.content);
	    setClickHandlers(rootView);
    }
    
    private void setClickHandlers(ViewGroup rootView)
    {
    	final int childCount = rootView.getChildCount();
	    for (int i = 0; i < childCount; i++)
	    {
	        View child = rootView.getChildAt(i);
	        
	        if (child instanceof ViewGroup)
	        {
	        	setClickHandlers((ViewGroup)child);
	        }
	        else if (child instanceof Button)
	        {
	        	child.setOnClickListener(mCalcButtonHandler);
	        } 
	       
	    }
    }
	

}
