package com.infinitenotions.sample.listview;

import com.infinitenotions.sample.listview.objects.Country;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

public class CountriesAdapter extends ArrayAdapter<Country>
{
	private Context mContext;
	
	public CountriesAdapter(Context context, int resource, Country[] objects)
	{
		super(context, resource, objects);
		
		mContext = context;
	}
	
	@Override
	public View getView(int position, View convertView, ViewGroup parent)
	{
		View v = convertView;
		
		if (v == null)
		{
			v = ((ListViewSampleActivity)mContext).getLayoutInflater().inflate(R.layout.listview_country_row, null);
		}
		
		Country country = getItem(position);
		ImageView flagIv = (ImageView)v.findViewById(R.id.flagIV);
		TextView countryNameTv = (TextView)v.findViewById(R.id.countryNameTV);
		
		int drawableResourceId = mContext.getResources().getIdentifier(country.getFlagResourceName(), "drawable", mContext.getPackageName());
		
		flagIv.setBackgroundResource(drawableResourceId);
		countryNameTv.setText(country.getName());
		
		return v;

	}

}