package com.infinitenotions.sample.storagefunc;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.ArrayList;

import org.json.JSONArray;

import android.app.Activity;
import android.content.Context;

public class InternalStorage
{
	private static final String STORAGE_FILE_NAME = "inss.json";
	
	public void storeListAsJson(Context context, ArrayList<String> items)
	{
		FileOutputStream fos = null;
		ObjectOutputStream out = null;

		JSONArray jArray = new JSONArray();
		
		
		for(String item : items)
		{
			jArray.put(item);
		}
		
		try
        {
			fos = context.openFileOutput(STORAGE_FILE_NAME, Activity.MODE_PRIVATE);
			out = new ObjectOutputStream(fos);
			out.writeObject(jArray.toString());
			out.flush();
			fos.flush();
			out.close();
			fos.close();

        }
		catch(IOException ex)
		{
			// TODO: handle error
		}

	}
	
	public ArrayList<String> loadListAsJson(Context context)
	{
		ArrayList<String> output = new ArrayList<String>();
		
		try
		{
			FileInputStream fis = context.openFileInput(STORAGE_FILE_NAME);
			ObjectInputStream in = new ObjectInputStream(fis);
			JSONArray jArray = new JSONArray((String)in.readObject());
			in.close();
			fis.close();

	        for(int i = 0; i < jArray.length(); i++)
	        {
	        	output.add(jArray.getString(i));
	        }
	        
		}
		catch(Exception ex)
		{
			// TODO: handle error
		}
		
		return output;
	}
}
