package com.example;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.graphics.Bitmap;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.Button;
import android.widget.EditText;

public class MainActivity extends Activity
{
	private WebView mWebView1;
	private EditText mAddressTV;
	private Button mGoBtn;
	
	@Override
	protected void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		mWebView1 = (WebView)findViewById(R.id.webView1);
		mWebView1.setWebViewClient(new WebViewClient()
		{
			@Override
			public void onPageFinished(WebView view, String url)
			{
				super.onPageFinished(view, url);
				mAddressTV.setText(url);
				mGoBtn.setEnabled(true);
				mGoBtn.setText("Go");
			}
			
			@Override
			public void onPageStarted(WebView view, String url, Bitmap favicon)
			{
				super.onPageStarted(view, url, favicon);
				mGoBtn.setEnabled(false);
				mGoBtn.setText("Loading...");
			}
		});
		mWebView1.getSettings().setDomStorageEnabled(true);
		mWebView1.getSettings().setJavaScriptEnabled(true);
		
		mAddressTV = (EditText)findViewById(R.id.addressTV);
		mAddressTV.setText("http://www.anacodeide.com");
		
		mGoBtn = (Button)findViewById(R.id.goBtn);
		
		mGoBtn.setOnClickListener(mGoBtnClick);
		mWebView1.loadUrl("http://www.anacodeide.com");
	}
	
	private View.OnClickListener mGoBtnClick = new View.OnClickListener()
	{
		@Override
		public void onClick(View v)
		{
			String url = mAddressTV.getText().toString(); 
			if (url.isEmpty())
			{
				Alert(MainActivity.this, "Info", "Please provide an URL address", "Ok", null);
				return;
			}
			
			if (!url.startsWith("http://"))
			{
				url = "http://" + url;
			}
			
			mWebView1.loadUrl(url);
		}
	};
	
	@Override
    public boolean onCreateOptionsMenu(Menu menu)
    {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main_menu, menu);
        
        return true;
    }
	
	 @Override
	 public boolean onOptionsItemSelected(MenuItem item)
	 {
	    	
	        switch (item.getItemId())
	        {
	        	case R.id.menu_back:
	        		mWebView1.goBack();
	        		break;
	        	case R.id.menu_forward:
	        		mWebView1.goForward();
	        		break;
	        }
	 
	        return true;
	 }
	
	public static void Alert(Context context, String title, String message, String positiveBtnText, DialogInterface.OnClickListener positive) 
	{
        AlertDialog dialog = new AlertDialog.Builder(context).create();
        dialog.setTitle(title);
        dialog.setMessage(message);
        dialog.setCancelable(false);
        dialog.setButton(DialogInterface.BUTTON_POSITIVE, positiveBtnText, positive);
        dialog.show();
    }

}
