
#include <jni.h>
#include <errno.h>

#include <EGL/egl.h>
#include <GLES/gl.h>

#include <android/log.h>
#include <android_native_app_glue.h>

#define LOGI(...) ((void)__android_log_print(ANDROID_LOG_INFO, "native-activity", __VA_ARGS__))
#define LOGW(...) ((void)__android_log_print(ANDROID_LOG_WARN, "native-activity", __VA_ARGS__))

/**
 * This is the main entry point of a native application that is using
 * android_native_app_glue.  It runs in its own thread, with its own
 * event loop for receiving input events and doing other things.
 */
void android_main(struct android_app* state)
{
    // Make sure glue isn't stripped.
    app_dummy();

    // loop waiting for stuff to do.
    while (1)
	{
		int ident;
		int events;
        struct android_poll_source* source;
		while ((ident=ALooper_pollAll(0, NULL,
                &events, (void**)&source)) >= 0)
		{
            // Process this event.
            if (source != NULL)
			{
                source->process(state, source);
            }

			// Check if we are exiting.
			if (state->destroyRequested != 0)
			{
				return;
			}
		}
    }
}
//END_INCLUDE(all)
